Vue Bootstrap Progress Bar

Vue Progress Bar - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap progress bar is a component which displays a progress of a process in which user is involved. Their color, shape, and animation can be customized.

If it takes too long for your website to load up, your user will be less stressed about it when he sees a simple progress bar. It means as much as “Everything is fine. The content you want to see will load in a few seconds”


Default progress bar

Default styling for Bootstrap Progress Bar component

        
            
        <template>
          <mdb-container>
            <mdb-progress :height="20" :value="0" />
            <mdb-progress :height="20" :value="25" color="blue" />
            <mdb-progress :height="20"  :value="50" color="blue" />
            <mdb-progress :height="20"  :value="75" color="blue" />
            <mdb-progress :height="20"  :value="100" color="blue" />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Material progress bar MDB Pro component

Material Design styling for Bootstrap Progress Bar component.

        
            
        <template>
          <mdb-container>
            <mdb-progress :value="0" />
            <mdb-progress :value="25" />
            <mdb-progress :value="50" />
            <mdb-progress :value="75" />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgressWrapper, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgressWrapper,
              mdbProgress
            }
          }
        </script>
    
        
    

How it works

Progress components are built with two HTML elements, some CSS to set the width, and a few attributes. We don’t use the HTML5 <progress> element, ensuring you can stack progress bars, animate them, and place text labels over them.

  • We use the .progress as a wrapper to indicate the max value of the progress bar.
  • We use the inner .progress-bar to indicate the progress so far.
  • The .progress-bar requires an inline style, utility class, or custom CSS to set their width.
  • The .progress-bar also requires some role and aria attributes to make it accessible.

Height

Set a height value on the mdb-progress.

Material progress bar MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress :value="25" :height="20" />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Labels

Add labels to your progress bars by placing text within the mdb-progress.

Material progress bar MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress :height="20" :value="25">25%</mdb-progress>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Contextual alternatives

Progress bars use some of the same button and alert classes for consistent styles.

Contextual alternatives of progress bar MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress :value="25" color="danger">25%</mdb-progress>
            <mdb-progress :value="50" color="warning">50%</mdb-progress>
            <mdb-progress :value="75" color="success">75%</mdb-progress>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Striped

Add striped to any mdb-progress to apply a stripe via CSS gradient over the progress bar’s background color.

Striped progress bar MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress :height="20" :value="50" color="warning" striped />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Animated stripes

The striped gradient can also be animated. Add animated to mdb-progress to animate the stripes right to left via CSS3 animations.

Animated progress bar MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress :value="50" color="warning" striped animated />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          }
        </script>
    
        
    

Preloaders

Click the button below to see Preloading Script in action

Infinite loading MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-progress bgColor="primary-color-dark" indeterminate />
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbProgress } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbProgress
            }
          };
        </script>
    
        
    

Circles

Use the border spinners for a lightweight loading indicator.

Basic circles MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-row>
              <mdb-col sm="4">
                <mdb-spinner big />
              </mdb-col>
              <mdb-col sm="4">
                <mdb-spinner color="red" />
              </mdb-col>
              <mdb-col sm="4">
                <mdb-spinner small color="yellow" />
              </mdb-col>
            </mdb-row>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbSpinner } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbSpinner
            }
          }
        </script>
    
        
    

Crazy circles MDB Pro component

        
            
        <template>
          <mdb-container>
            <mdb-row>
              <mdb-col sm="4">
                <mdb-spinner big crazy />
              </mdb-col>
              <mdb-col sm="4">
                <mdb-spinner color="red" crazy />
              </mdb-col>
              <mdb-col sm="4">
                <mdb-spinner small color="yellow" crazy />
              </mdb-col>
            </mdb-row>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbSpinner } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbSpinner
            }
          }
        </script>
    
        
    

Multicolor MDB Pro component

You can use multicolor text color utilities on the standard spinner.

        
            
        <template>
          <mdb-container>
            <mdb-row>
              <mdb-col sm="4">
                <mdb-spinner multicolor big />
              </mdb-col>
            </mdb-row>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbSpinner } from 'mdbvue';
          export default {
            name: 'ProgressProPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbSpinner
            }
          }
        </script>
    
        
    

Preloading script

Click the button below to see Preloading Script in action

Preloading script MDB Pro component

Live demo

Usage

1. Import mdbPreloadingScript component and place it at the top of your code.

        
            
        <template>
          <mdb-container>
            <mdb-preloading-script :loading="loading"/>
            <!-- page content -->
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbPreloadingScript, mdbContainer } from 'mdbvue';
          export default {
            components: {
              mdbPreloadingScript,
              mdbContainer
            }
          }
        </script>
    
        
    

The script runs until your page is fully loaded.

2. bind loading property to your data and add event listener:

        
            
        <template>
          <mdb-container>
            <mdb-preloading-script :loading="loading"/>
            <!-- page content -->
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbPreloadingScript, mdbContainer } from 'mdbvue';
          export default {
            components: {
              mdbPreloadingScript,
              mdbContainer
            },
            data(){
              return {
                loading: true
              }
            },
            methods: {
              isLoaded() {
                this.loading = false;    
              }
            },
            mounted(){
              window.addEventListener("load", this.isLoaded);
            },
            beforeDestroy(){
              window.removeEventListener("load", this.isLoaded);
            }
          }
        </script>
    
        
    

3. adjust a loader's appearance, colors and opacity:

        
            
        <template>
          <mdb-container>
            <mdb-preloading-script big multicolor :opacity="0.6" color="elegant" :loading="loading"/>
            <!-- page content -->
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbPreloadingScript, mdbContainer } from 'mdbvue';
          export default {
            components: {
              mdbPreloadingScript,
              mdbContainer
            },
            data(){
              return {
                loading: true
              }
            },
            methods: {
              isLoaded() {
                this.loading = false;    
              }
            },
            mounted(){
              window.addEventListener("load", this.isLoaded);
            },
            beforeDestroy(){
              window.removeEventListener("load", this.isLoaded);
            }
          }
        </script>
    
        
    

Vue Progress - API

In this section you will find advanced information about the Progress component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbProgress } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'div' Changes progress tag <mdb-progress tag="p" />
value Number 0 Changes progress value <mdb-progress :value="25" />
height Number Changes progress height <mdb-progress :height="25" />
color String Changes progress color <mdb-progress color="warning" />
striped Boolean false Adds striped effect <mdb-progress striped />
animated Boolean false Adds animation effect <mdb-progress animated />
indeterminate Boolean false Adds infinite loading <mdb-progress indeterminate />

Preloading script API

In this section you will find advanced information about the Preloading script component.


Import statement

        
            
      <script>
        import { mdbPreloadingScript } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
color String 'white' Changes background color <mdb-preloading-script color="default" />
opacity Number 1 Changes opacity of a background <mdb-preloading-script :opacity="0.8" />
big Boolean false Changes spinner's size to big <mdb-preloading-script big />
small Boolean Changes spinner's size to small <mdb-preloading-script small />
crazy Boolean false Changes spinner's animation speed to fast <mdb-preloading-script crazy />
spinnerColor String "blue" Changes spinner's color <mdb-preloading-script color="red" />
multicolor Boolean false Changes spinner's color theme to multicolor <mdb-preloading-script multicolor />
loading Boolean true Preloading script will be visible as long as loading property is set to true <mdb-preloading-script :loading="isLoading" />
animation String 'fadeOut' Changes preloading script's exit animation. List of all animation is available here <mdb-preloading-script animation="fadeOutLeft" />

React Bootstrap Progress Bar

React Progress Bar - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap progress bar is a component which displays a progress of a process in which user is involved. Their color, shape, and animation can be customized.

If it takes too long for your website to load up, your user will be less stressed about it when he sees a simple progress bar. It means as much as “Everything is fine. The content you want to see will load in a few seconds”


Default progress bar

Default styling for React Bootstrap Progress Bar component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress value={0} className="my-2" />
              <MDBProgress value={25} className="my-2" />
              <MDBProgress value={50} className="my-2" />
              <MDBProgress value={75} className="my-2" />
              <MDBProgress value={100} className="my-2" />
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

MDB Pro component

Material Design styling for React Bootstrap Progress Bar component

        
            
          import React from "react";
          import { MDBProgress } from 'mdbreact';
          const ProgressBarPage = () => {
            return (
              <>
                <MDBProgress material value={0} className="my-s" />
                <MDBProgress material value={25} className="my-s" />
                <MDBProgress material value={50} className="my-s" />
                <MDBProgress material value={75} className="my-s" />
                <MDBProgress material value={100} className="my-s" />
              </>
            );
          }
          export default ProgressBarPage;
       
        
    

Height

Manipulate height of the bar with height property.

Material progress bar MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress material value={25} height="20px" />
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

Labels

Add labels to your progress bars by placing text as a child of <Progress>.

Material progress bar MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress material value={25} height="20px">
                25%
              </MDBProgress>
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

Contextual alternatives

Progress bars use some of the same button and alert props, like color for consistent styles.

Contextual alternatives of progress bar MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress className="my-2" material value={25} color="success" />
              <MDBProgress className="my-2" material value={50} color="info" />
              <MDBProgress className="my-2" material value={75} color="warning" />
              <MDBProgress className="my-2" material value={100} color="danger" />
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

Striped

Add property striped to apply a stripe via CSS gradient over the progress bar’s background color.

Striped progress bar MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress material value={50} striped />
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

Animated stripes

The striped gradient can also be animated. Add property animated to animate the stripes right to left via CSS3 animations.

Animated progress bar MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress material value={50} animated />
            </>
          );
        }

        export default ProgressBarPage;
      
        
    

Prealoaders

You can use Prgoress bar as infinite animated preloader. Just add property preloader to material progress bar. You can combine it with colors.

Infinite loading MDB Pro component

        
            
        import React from "react";
        import { MDBProgress } from 'mdbreact';

        const ProgressBarPage = () => {
          return (
            <>
              <MDBProgress material preloader />
            </>
          );
        }

        export default ProgressBarPage;
     
        
    

React Progress Bar - API

In this section you will find advanced information about the Progress component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { MDBProgress } from 'mdbreact';
        
        
    

API Reference: Progress Properties

The table below shows the configuration options of the MDBProgress component.

Name Type Default Description Example
animated Boolean false Turns on CSS3 animation effect with moving gradient <MDBProgress animated />
barClassName String Adds custom classes to colorful bar <MDBProgress barClassName="customClass" />
className String Adds custom classes to bar wrapper <MDBProgress className="customClass" />
color String indigo Changes bar color; accepts MDB predefined color classes <MDBProgress color="success" />
height String 0.25rem Sets custom height of the bar <MDBProgress height="50px" />
material Boolean false Switch on material design styling <MDBProgress material />
max Number 100 Sets maximum value of progress bar <MDBProgress max={200} />
min Number 0 Sets minimum value of progress bar <MDBProgress min={50} />
preloader Boolean false Switch on preloader mode - infinite animation <MDBProgress preloader />
striped Boolean false Adds striped effect as bar's background - uses CSS3 gradient <MDBProgress striped />
wrapperStyle Object {} Sets additional inline styles for bar's wrapper <MDBProgress wrapperStyle={{width: "50%"}} />
value Number 0 Sets current value of progress bar <MDBProgress value={40} />

Angular Bootstrap Progress Bar

Angular Progress Bar - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap progress bar is a component which displays a progress of a process in which user is involved. Their color, shape, and animation can be customized.

If it takes too long for your website to load up, your user will be less stressed about it when he sees a simple progress bar. It means as much as “Everything is fine. The content you want to see will load in a few seconds”


Default progress bar

Default styling for Bootstrap Progress Bar component

        
            
          <div class="progress">
            <div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
          <br>
          <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
          <br>
          <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
          <br>
          <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: 75%" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
          <br>
          <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        
        
    

Material progress bar MDB Pro component

Material Design styling for Bootstrap Progress Bar component

        
            
          <mdb-progress value="0" min="0" max="100" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="25" min="0" max="100" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="50" min="0" max="100" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="75" min="0" max="100" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="100" min="0" max="100" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
        
        
    

Height

Set a height styles on the .progress and .progress-bar.

Material progress bar MDB Pro component

        
            
          <mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
        
        
    
        
            
          .progress-bar, .progress {
            height: 20px !important;
          }
        
        
    

Labels

Add labels to your progress bars by placing text within the mdb-progress element.

Material progress bar MDB Pro component

        
            
          <mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">25%</mdb-progress>
        
        
    
        
            
          .progress-bar, .progress {
            height: 20px !important;
          }
        
        
    

Contextual alternatives

Progress bars use some of the same button and alert classes for consistent styles.

Contextual alternatives of progress bar MDB Pro component

        
            
          <mdb-progress value="25" min="0" max="100" type="success" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="50" min="0" max="100" type="info" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="75" min="0" max="100" type="warning" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
          <mdb-progress value="100" min="0" max="100" type="danger" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></mdb-progress>
        
        
    

Prealoaders

Infinite loading MDB Pro component

        
            
          <mdb-progress-bar class="progress primary-color-dark" mode="indeterminate"></mdb-progress-bar>
        
        
    

Circles

Basic circles MDB Pro component

        
            
          <!--Big blue-->
          <mdb-spinner spinnerType="big" spinnerColor="blue"></mdb-spinner>

          <!--Medium red-->
          <mdb-spinner spinnerColor="red"></mdb-spinner>

          <!--Small yellow-->
          <mdb-spinner spinnerType="small" spinnerColor="yellow"></mdb-spinner>
        
        
    

Multicolor MDB Pro component

        
            
          <mdb-spinner spinnerType="big"></mdb-spinner>
        
        
    

Preloading script MDB Pro component

Click the button below to see Preloading Script in action

Live demo

Usage

Adding preloader to your project


In order to have working preloaders on every component in your project, you need to perform those 3 steps:

  1. Add MDBSpinningPreloader to app.module.ts,
  2. Configure your app.component.ts file by adding MDBSpinningPreloader service to it,
  3. Add preloader HTML markup to index.html file between <body></body> tags, above main component (default <app-root></app-root>).

1st step - app.module.ts
        
            
            import { MDBSpinningPreloader } from 'ng-uikit-pro-standard';

            @NgModule({
              ...
              providers: [MDBSpinningPreloader],
              ...
            })
          
        
    
2nd step - app.component.ts
        
            
            import { Component, OnInit } from '@angular/core';
            import {MDBSpinningPreloader} from 'ng-uikit-pro-standard';
            @Component({
              selector: 'app-root',
              templateUrl: 'app.component.html'
            })

            export class AppComponent implements OnInit {
              constructor(private mdbSpinningPreloader: MDBSpinningPreloader) {}

              ngOnInit() {
                this.mdbSpinningPreloader.stop();
              }
            }
          
        
    
3rd step - index.html
        
            
            <div class="spinning-preloader-container">
              <div class="preloader-wrapper big active">
                <div class="spinner-layer spinner-blue">
                  <div class="circle-clipper left">
                    <div class="circle"> </div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"> </div>
                  </div>
                </div>

                <div class="spinner-layer spinner-red">
                  <div class="circle-clipper left">
                    <div class="circle"> </div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"> </div>
                  </div>
                </div>

                <div class="spinner-layer spinner-yellow">
                  <div class="circle-clipper left">
                    <div class="circle"> </div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"> </div>
                  </div>
                </div>

                <div class="spinner-layer spinner-green">
                  <div class="circle-clipper left">
                    <div class="circle"> </div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"> </div>
                  </div>
                </div>
              </div>
            </div>
          
        
    

Angular Progress Bar - API

In this section you will find informations about required modules and available inputs of progress bar component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
        import { WavesModule, PreloadersModule, ProgressbarModule, MdProgressBarModule } from 'ng-uikit-pro-standard'
        
        
    

Components

ProgressSpinnerComponent

Selector: mdb-spinner

Type: ProgressSpinnerComponent

ProgressbarComponent

Selector: mdb-progress

Type: ProgressbarComponent


Inputs

ProgressSpinnerComponent
Name Type Default Description Example
spinnerType string ' ' Allow to set size of a spinner. Values are big and small. spinnerType="small"
spinnerColor string rainbow Allow to set color of a spinner. Values are green, blue, yellow, red, rainbow. spinnerColor="red"
ProgressbarComponent
Name Type Default Description Example
max number - maximum total value of progress element. max="100"
type string - Provide one of the four supported contextual classes: `success`, `info`, `warning`, `danger`. type="success"
value number - Current value of progress bar. value="50"

Below classes can be used in spinner loader component (circles).

Name Type Usage
.spinner-blue color class <div class="spinner-layer spinner-blue"></div>
.spinner-red color class <div class="spinner-layer spinner-red"></div>
.spinner-yellow color class <div class="spinner-layer spinner-yellow"></div>
.spinner-green color class <div class="spinner-layer spinner-green"></div>
.spinner-primary-color color class <div class="spinner-layer spinner-primary-color"></div>
.*-only color class prefix <div class="spinner-layer spinner-primary-color-only"></div>
.small size class <div class="preloader-wrapper small active"></div>
(blank) - default size size class <div class="preloader-wrapper active"></div>
.big size class <div class="preloader-wrapper big active"></div>